Package org.lwjgl.opengl

# Class ARBTextureCompression

java.lang.Object
org.lwjgl.opengl.ARBTextureCompression

public final class ARBTextureCompression extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPRESSED_ALPHA_ARB`
`static final int`
`GL_COMPRESSED_INTENSITY_ARB`
`static final int`
`GL_COMPRESSED_LUMINANCE_ALPHA_ARB`
`static final int`
`GL_COMPRESSED_LUMINANCE_ARB`
`static final int`
`GL_COMPRESSED_RGB_ARB`
`static final int`
`GL_COMPRESSED_RGBA_ARB`
`static final int`
`GL_COMPRESSED_TEXTURE_FORMATS_ARB`
`static final int`
`GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB`
`static final int`
`GL_TEXTURE_COMPRESSED_ARB`
`static final int`
`GL_TEXTURE_COMPRESSED_IMAGE_SIZE_ARB`
`static final int`
`GL_TEXTURE_COMPRESSION_HINT_ARB`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glCompressedTexImage1DARB(int target, int level, int internalformat, int width, int border, int pData_imageSize, long pData_buffer_offset)`
`static void`
`glCompressedTexImage1DARB(int target, int level, int internalformat, int width, int border, ByteBuffer pData)`
`static void`
`glCompressedTexImage2DARB(int target, int level, int internalformat, int width, int height, int border, int pData_imageSize, long pData_buffer_offset)`
`static void`
`glCompressedTexImage2DARB(int target, int level, int internalformat, int width, int height, int border, ByteBuffer pData)`
`static void`
`glCompressedTexImage3DARB(int target, int level, int internalformat, int width, int height, int depth, int border, int pData_imageSize, long pData_buffer_offset)`
`static void`
`glCompressedTexImage3DARB(int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer pData)`
`static void`
`glCompressedTexSubImage1DARB(int target, int level, int xoffset, int width, int format, int pData_imageSize, long pData_buffer_offset)`
`static void`
`glCompressedTexSubImage1DARB(int target, int level, int xoffset, int width, int format, ByteBuffer pData)`
`static void`
`glCompressedTexSubImage2DARB(int target, int level, int xoffset, int yoffset, int width, int height, int format, int pData_imageSize, long pData_buffer_offset)`
`static void`
`glCompressedTexSubImage2DARB(int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer pData)`
`static void`
`glCompressedTexSubImage3DARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int pData_imageSize, long pData_buffer_offset)`
`static void`
`glCompressedTexSubImage3DARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer pData)`
`static void`
`glGetCompressedTexImageARB(int target, int lod, long pImg_buffer_offset)`
`static void`
`glGetCompressedTexImageARB(int target, int lod, ByteBuffer pImg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPRESSED_ALPHA_ARB

public static final int GL_COMPRESSED_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_COMPRESSED_LUMINANCE_ARB

public static final int GL_COMPRESSED_LUMINANCE_ARB

See Also:
  - Constant Field Values

### GL_COMPRESSED_LUMINANCE_ALPHA_ARB

public static final int GL_COMPRESSED_LUMINANCE_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_COMPRESSED_INTENSITY_ARB

public static final int GL_COMPRESSED_INTENSITY_ARB

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB_ARB

public static final int GL_COMPRESSED_RGB_ARB

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ARB

public static final int GL_COMPRESSED_RGBA_ARB

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSION_HINT_ARB

public static final int GL_TEXTURE_COMPRESSION_HINT_ARB

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_IMAGE_SIZE_ARB

public static final int GL_TEXTURE_COMPRESSED_IMAGE_SIZE_ARB

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_ARB

public static final int GL_TEXTURE_COMPRESSED_ARB

See Also:
  - Constant Field Values

### GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB

public static final int GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB

See Also:
  - Constant Field Values

### GL_COMPRESSED_TEXTURE_FORMATS_ARB

public static final int GL_COMPRESSED_TEXTURE_FORMATS_ARB

See Also:
  - Constant Field Values

## Method Details

### glCompressedTexImage1DARB

public static void glCompressedTexImage1DARB(int target, int level, int internalformat, int width, int border, ByteBuffer pData)

### glCompressedTexImage1DARB

public static void glCompressedTexImage1DARB(int target, int level, int internalformat, int width, int border, int pData_imageSize, long pData_buffer_offset)

### glCompressedTexImage2DARB

public static void glCompressedTexImage2DARB(int target, int level, int internalformat, int width, int height, int border, ByteBuffer pData)

### glCompressedTexImage2DARB

public static void glCompressedTexImage2DARB(int target, int level, int internalformat, int width, int height, int border, int pData_imageSize, long pData_buffer_offset)

### glCompressedTexImage3DARB

public static void glCompressedTexImage3DARB(int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer pData)

### glCompressedTexImage3DARB

public static void glCompressedTexImage3DARB(int target, int level, int internalformat, int width, int height, int depth, int border, int pData_imageSize, long pData_buffer_offset)

### glCompressedTexSubImage1DARB

public static void glCompressedTexSubImage1DARB(int target, int level, int xoffset, int width, int format, ByteBuffer pData)

### glCompressedTexSubImage1DARB

public static void glCompressedTexSubImage1DARB(int target, int level, int xoffset, int width, int format, int pData_imageSize, long pData_buffer_offset)

### glCompressedTexSubImage2DARB

public static void glCompressedTexSubImage2DARB(int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer pData)

### glCompressedTexSubImage2DARB

public static void glCompressedTexSubImage2DARB(int target, int level, int xoffset, int yoffset, int width, int height, int format, int pData_imageSize, long pData_buffer_offset)

### glCompressedTexSubImage3DARB

public static void glCompressedTexSubImage3DARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer pData)

### glCompressedTexSubImage3DARB

public static void glCompressedTexSubImage3DARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int pData_imageSize, long pData_buffer_offset)

### glGetCompressedTexImageARB

public static void glGetCompressedTexImageARB(int target, int lod, ByteBuffer pImg)

### glGetCompressedTexImageARB

public static void glGetCompressedTexImageARB(int target, int lod, long pImg_buffer_offset)